### Class

# St ImageContent

#### Description

    final class St.ImageContent : Clutter.Image
      implements Clutter.Content, Gio.Icon, Gio.LoadableIcon {
      /* No available fields */
    }

No description available.

#### Ancestors

- ClutterImage
- GObject

#### Implements

- ClutterContent
- GIcon
- GLoadableIcon

#### Functions

###### st_image_content_new_with_preferred_size

Creates a new `StImageContent`, a simple content for sized images.

#### Instance methods

##### Methods inherited from ClutterImage (4)

###### clutter_image_get_texture

Retrieves a pointer to the Cogl texture used by `image`.

###### clutter_image_set_area

Sets the image data to be display by `image`, using `rect` to indicate the position and size of the image data to be set.

###### clutter_image_set_bytes

Sets the image data stored inside a `GBytes` to be displayed by `image`.

###### clutter_image_set_data

Sets the image data to be displayed by `image`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from ClutterContent (3)

###### clutter_content_get_preferred_size

Retrieves the natural size of the `content`, if any.

###### clutter_content_invalidate

Invalidates a `ClutterContent`.

###### clutter_content_invalidate_size

Signals that `content`‘s size changed. Attached actors with request mode set to `CLUTTER_REQUEST_CONTENT_SIZE` will have a relayout queued.

##### Methods inherited from GIcon (4)

###### g_icon_equal

Checks if two icons are equal.

###### g_icon_hash

Gets a hash for an icon.

###### g_icon_serialize

Serializes a `GIcon` into a `GVariant`. An equivalent `GIcon` can be retrieved back by calling `g_icon_deserialize()` on the returned value. As serialization will avoid using raw icon data when possible, it only makes sense to transfer the `GVariant` between processes on the same machine, (as opposed to over the network), and within the same file system namespace.

###### g_icon_to_string

Generates a textual representation of `icon` that can be used for serialization such as when passing `icon` to a different process or saving it to persistent storage. Use `g_icon_new_for_string()` to get `icon` back from the returned string.

##### Methods inherited from GLoadableIcon (3)

###### g_loadable_icon_load

Loads a loadable icon. For the asynchronous version of this function, see g_loadable_icon_load_async().

###### g_loadable_icon_load_async

Loads an icon asynchronously. To finish this function, see g_loadable_icon_load_finish(). For the synchronous, blocking version of this function, see g_loadable_icon_load().

###### g_loadable_icon_load_finish

Finishes an asynchronous icon load started in g_loadable_icon_load_async().

#### Properties

###### St.ImageContent:preferred-height

No description available.

###### St.ImageContent:preferred-width

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from ClutterContent (2)

###### ClutterContent::attached

This signal is emitted each time a `ClutterContent` implementation is assigned to a `ClutterActor`.

###### ClutterContent::detached

This signal is emitted each time a `ClutterContent` implementation is removed from a `ClutterActor`.

#### Class structure

    struct StImageContentClass {
      ClutterImageClass parent_class;

    }

No description available.

###### Class members

`parent_class: ClutterImageClass`

  No description available.